/*
#### Copyright (c) 1998 Pacific HiTech, Inc.
####              All Rights Reserved
####              Distributable under the terms of the GPL.
#### File:        log.h
#### Author:      Scott Stone <sstone@turbolinux.com>
#### Version:     1.0J
#### Date:        January 28, 1998
#### Description:
# Source code for TurboLinux
#### ChangeLog:
# (none)
*/

#ifndef _H_LOG
#define _H_LOG

#include <stdio.h>

#define LOGFN "/tmp/turbopkg.log"
#define LOGFN_INSTALLER "/mnt/tmp/turbopkg.log"

extern FILE * log;
extern int logfd;

extern int testing;
extern int installer;
extern int forcegztest;
extern int hackDisk;

#define logMessage doLogMessage

void doLogMessage(char * s, ...);
void openLog(void);
void closeLog(void);

#endif
