/* color definitions for Turbo Linux install
 * by Scott Stone (sstone@turbolinux.com)
 */

#ifndef MYCOLORS
#define MYCOLORS

/* colors are ordered as "fg","bg", */

struct newtColors myColors_japanese = {
    "white", "black",                  /* root */
    "black", "lightgray",                  /* border */
    "yellow", "lightgray",                 /* window */
    "yellow", "black",                 /* shadow */
    "yellow", "blue",             /* title */
    "yellow", "blue",               /* button */
    "black", "brown",              /* activebutton */
    "blue", "lightgray",        /* checkbox */
    "black", "brown",              /* activecheckbox */
    "lightgray", "blue",                /* entry box */
    "black", "lightgray",                 /* label */
    "white", "blue",                  /* listbox */
    "black", "brown",                /* activelistbox */
    "black", "lightgray",                /* textbox */
    "yellow", "blue",               /* activetextbox */
    "gray", "lightgray",                /* helpline */
    "yellow", "black",                /* root text */
    "white",          /* empty part of scale */
    "blue",         /* full part of scale */
    "gray", "lightgray",        /* disabled entry */
};

struct newtColors myColors_good = {
    "white", "black",                  /* root */
    "white", "black",                  /* border */
    "yellow", "black",                 /* window */
    "yellow", "black",                 /* shadow */
    "yellow", "black",             /* title */
    "lightgray", "black",               /* button */
    "white", "blue",              /* activebutton */
    "lightgray", "black",        /* checkbox */
    "white", "blue",              /* activecheckbox */
    "yellow", "black",                /* entry box */
    "yellow", "black",                 /* label */
    "lightgray", "black",                  /* listbox */
    "white", "blue",                /* activelistbox */
    "yellow", "black",                /* textbox */
    "yellow", "blue",               /* activetextbox */
    "yellow", "black",                /* helpline */
    "yellow", "black",                /* root text */
    "gray",          /* empty part of scale */
    "white",         /* full part of scale */
    "lightgray", "black",        /* disabled entry */
};

/* change this #define if you want the console tools to look better. */

#define myColors myColors_japanese

#endif
